function pp=activity_median(vsc1,ls1,vsc2,ls2,vsc3,ls3)
% ACTIVITY_MEDIAN function to calculate median & IQR for 3 healing stage
% groups for each activity
%
% Richie Gill
% University of Bath
% Oct 2019


% for each load step extract variable of interest, and create SC groups
act = 1;
for i=1:5:15
    ils1 = find(ls1>=i & ls1<i+5);
    var1 = vsc1(ils1);
    g1 = ones(size(var1));

    ils2 = find(ls2>=i & ls2<i+5);
    var2 = vsc2(ils2);
    g2 = ones(size(var2))*2;
    
    ils3 = find(ls3>=i & ls3<i+5);
    var3 = vsc3(ils3);
    g3 = ones(size(var3))*3;
    yy = [var1;var2;var3];
    gg = [g1;g2;g3];
    
    [p] = anova1(yy,gg,'off');
  
    if p <= (0.05/45)
        psig = 1;
    else
        psig = 0;
    end
    fprintf('Act%d %0.5g %0.5g %0.5g\n',act,nanmedian(var1),nanmedian(var2),nanmedian(var3));
    fprintf('25th %0.5g %0.5g %0.5g\n', prctile(rmmissing(var1),25),prctile(rmmissing(var2),25),prctile(rmmissing(var3),25));
    fprintf('75th %0.5g %0.5g %0.5g\n', prctile(rmmissing(var1),75),prctile(rmmissing(var2),75),prctile(rmmissing(var3),75));

    act=act+1;
    
    pp(i)=p;
end


