function [xx,yy,neg,pos,p] = ls_mean95ci(dvar,loadsteps,hs)
% LS_MEAN95CI Function to calculate mean and 95 CI using ttest per loadstep
%             Also does one sided t-test, i.e. is mean different from zero

xx=0.1:0.1:0.5;
xinc = [xx, xx, xx];

for i=1:15
    ils = find(loadsteps==i);
    % find means and confidence intervals
    yy(i) = nanmean(dvar(ils));
    xx(i) = hs+xinc(i);
    [h,pp,ci]=ttest(dvar(ils));
    neg(i)=yy(i)-ci(1);
    pos(i)=ci(2)-yy(i);
    p(i)=pp;
    fprintf('Loadstep %d p=%0.5g mean %0.5g\n',i,pp,yy(i));
end

end % function end

