function pp=sc_anova(vsc1,ls1,vsc2,ls2,vsc3,ls3)
% SC_ANOVA function to order data and perform ANOVA across 3 screw configs,
% or healing stage groups
% at each load step
%
% Richie Gill
% University of Bath
% Oct 2019


% for each load step extract variable of interest, and create SC groups 
for i=1:15
    ils1 = find(ls1==i);
    var1 = vsc1(ils1);
    g1 = ones(size(var1));

    ils2 = find(ls2==i);
    var2 = vsc2(ils2);
    g2 = ones(size(var2))*2;
    
    ils3 = find(ls3==i);
    var3 = vsc3(ils3);
    g3 = ones(size(var3))*3;
    yy = [var1;var2;var3];
    gg = [g1;g2;g3];
    
    [p] = anova1(yy,gg,'off');
  
    if p <= (0.05/45)
        psig = 1;
    else
        psig = 0;
    end
    fprintf('Loadstep %d %0.5g %d %0.5g %0.5g %0.5g\n',i,p,psig,nanmean(var1),nanmean(var2),nanmean(var3));

    pp(i)=p;
end


