function [xx,yy,neg,pos,p] = scls_mean95ci(dvar,loadsteps,sc)
% SCLS_MEAN95CI Function to calculate mean and 95 CI using ttest per loadstep
%   for the 3 different screw configurations

xinc=[0.0,0.2,0.4];

for i=1:15
    ils = find(loadsteps==i);
    % find means and confidence intervals
    yy(i) = nanmean(dvar(ils));
    xx(i) = i+xinc(sc);
    [h,pp,ci]=ttest(dvar(ils));
    neg(i)=yy(i)-ci(1);
    pos(i)=ci(2)-yy(i);
    p(i)=pp;
end

end % function end

