function sumstat(hs,lstep,vms,vme,fgc)
%SUMSTAT create summary stats for a given healing stage
%   sumst = sumstat(hs,lstep,vms,vme,fgc)
%
% Richie Gill
% University of Bath
% Jan 2020

devname = {'TOMO','TOKA'};

n=length(lstep)/2;


for i =1:3
% first do TOMO
    [vms_d1(i), vms_d1ci(i)] = act_mean(i,lstep(1:n),vms(1:n));
    [vme_d1(i), vme_d1ci(i)] = act_mean(i,lstep(1:n),vme(1:n));
    [fgc_d1(i), fgc_d1ci(i)] = act_mean(i,lstep(1:n),fgc(1:n));
% then TOKA
    [vms_d2(i), vms_d2ci(i)] = act_mean(i,lstep(1:n),vms(n+1:end));
    [vme_d2(i), vme_d2ci(i)] = act_mean(i,lstep(1:n),vme(n+1:end));
    [fgc_d2(i), fgc_d2ci(i)] = act_mean(i,lstep(1:n),fgc(n+1:end));
% finally TOKA-TOMO
    [vms_dd(i), vms_ddci(i)] = act_mean(i,lstep(1:n),vms(n+1:end)-vms(1:n));
    [vme_dd(i), vme_ddci(i)] = act_mean(i,lstep(1:n),vme(n+1:end)-vme(1:n));
    [fgc_dd(i), fgc_ddci(i)] = act_mean(i,lstep(1:n),fgc(n+1:end)-fgc(1:n));
end
%  display summary data

ACTIVITY=[1;2;3];

disp(sprintf('HS=%d TOMO',hs));
td1=table(ACTIVITY, vms_d1',vms_d1ci',vme_d1',vme_d1ci',fgc_d1',fgc_d1ci', ...
    'VariableNames',{'Activity','mean_VMS', 'CI95_VMS', 'mean_VME','CI95_VME','mean_FGC', 'CI95_FGC'});
disp(td1);

disp(sprintf('HS=%d TOKA',hs));
td2=table(ACTIVITY, vms_d2',vms_d2ci',vme_d2',vme_d2ci',fgc_d2',fgc_d2ci', ...
    'VariableNames',{'Activity','mean_VMS', 'CI95_VMS', 'mean_VME','CI95_VME','mean_FGC', 'CI95_FGC'});
disp(td2);

disp(sprintf('HS=%d TOKA-TOMO',hs));
td3=table(ACTIVITY, vms_dd',vms_ddci',vme_dd',vme_ddci',fgc_dd',fgc_ddci', ...
    'VariableNames',{'Activity','mean_VMS', 'CI95_VMS', 'mean_VME','CI95_VME','mean_FGC', 'CI95_FGC'});
disp(td3);


end

